# Generated automatically from Makefile.in by configure.
# File         : Makefile
# Author       : Sung-Hoon Ko
# Created      : Thu Apr  9 12:22:15 1998
# Revision     : ver 1.1
# Updated      : $Date: 1999/09/16 17:58:45 $
# Copyright: Northeast Parallel Architectures Center at Syracuse University 1998


SHELL=/bin/sh

srcdir      = .
top_srcdir  = ../..

mpiJavaClasses = ../../lib/classes
VPATH = .:${srcdir}

VERSION = 1.00

CLASS_PATH = -classpath .:${mpiJavaClasses}:$(JAVA_PATH)/lib/classes.zip:$(JAVA_PATH)/classes


CC = mpicc
CCLIBKEY = -lmpich
JAVA_PATH = /usr/java1.2
JAVA_C = ${JAVA_PATH}/bin/javac

EXECS = PingPongBench



.SUFFIXES:
.SUFFIXES: .c .o .java .class

.c.o:
	$(CC) -c $*.c

.java.class:
	$(JAVA_C) $(CLASS_PATH) $*.java



all: update  $(EXECS) check

PingPongJava = PingPong.class Clock.class Table.class
PingPongC    = mpi_single.o     log2.o    table.o
 

update: Makefile RunBench

Makefile: Makefile.in
	@echo 
	@echo Please configure the package to generate new makefile ...
	@exit 1

RunBench: RunBench.in
	@echo 
	@echo Please configure the package to generate new runexam ...
	@exit

$(EXECS): $(PingPongJava) $(PingPongC)
	$(CC) -o mpi_single $(PingPongC) $(CCLIBKEY)
 
 

check: 
	RunBench



clean:
	rm -f *.class core PI* *.jig *.o

distclean:
	rm -f *.rec 

record:

compdep:

compare:

test: 



